Loading...
Searching...
No Matches
irr::scene::ISceneNodeAnimatorCameraMaya Class Referenceabstract

Special scene node animator for Maya-style cameras. More...

`#include <ISceneNodeAnimatorCameraMaya.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimatorCameraMaya:

## Public Member Functions

virtual f32 | getDistance () const =0
| Returns the current distance, i.e. orbit radius.
virtual f32 | getMoveSpeed () const =0
| Returns the speed of movement.
virtual f32 | getRotateSpeed () const =0
| Returns the rotation speed.
virtual f32 | getZoomSpeed () const =0
| Returns the zoom speed.
virtual void | setDistance (f32 distance)=0
| Set the distance.
virtual void | setMoveSpeed (f32 moveSpeed)=0
| Sets the speed of movement.
virtual void | setRotateSpeed (f32 rotateSpeed)=0
| Set the rotation speed.
virtual void | setZoomSpeed (f32 zoomSpeed)=0
| Set the zoom speed.
Public Member Functions inherited from irr::scene::ISceneNodeAnimator
virtual void | animateNode (ISceneNode *node, u32 timeMs)=0
| Animates a scene node.
virtual ISceneNodeAnimator * | createClone (ISceneNode *node, ISceneManager *newManager=0)=0
| Creates a clone of this animator.
virtual ESCENE_NODE_ANIMATOR_TYPE | getType () const
| Returns type of the scene node animator.
virtual bool | hasFinished (void) const
| Returns if the animator has finished.
virtual bool | isEventReceiverEnabled () const
| Returns true if this animator receives events.
virtual bool | OnEvent (const SEvent &event)
| Event receiver, override this function for camera controlling animators.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Public Member Functions inherited from irr::IEventReceiver
virtual | ~IEventReceiver ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Special scene node animator for Maya-style cameras.

This scene node animator can be attached to a camera to make it act like a 3d modelling tool. The camera is moving relative to the target with the mouse, by pressing either of the three buttons. In order to move the camera, set a new target for the camera. The distance defines the current orbit radius the camera moves on. Distance can be changed via the setter or by mouse events.

Definition at line 25 of file ISceneNodeAnimatorCameraMaya.h.

## Member Function Documentation

## getDistance()

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getDistance | ( |  | ) | const

pure virtual

Returns the current distance, i.e. orbit radius.

## getMoveSpeed()

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getMoveSpeed | ( |  | ) | const

pure virtual

Returns the speed of movement.

## getRotateSpeed()

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getRotateSpeed | ( |  | ) | const

pure virtual

Returns the rotation speed.

## getZoomSpeed()

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getZoomSpeed | ( |  | ) | const

pure virtual

Returns the zoom speed.

## setDistance()

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setDistance | ( | f32 | distance | ) |

pure virtual

Set the distance.

## setMoveSpeed()

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setMoveSpeed | ( | f32 | moveSpeed | ) |

pure virtual

Sets the speed of movement.

## setRotateSpeed()

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setRotateSpeed | ( | f32 | rotateSpeed | ) |

pure virtual

Set the rotation speed.

## setZoomSpeed()

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setZoomSpeed | ( | f32 | zoomSpeed | ) |

pure virtual

Set the zoom speed.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCameraMaya.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0